<?php
/* Autor...:  */
/* Esquema.: MST_DiaSemana.xml */
/* Generado: 2020-08-18 04:21:27 */

/* Metodos de acceso a los campos de la tabla MST_DiaSemana */
abstract class BaseMST_DiaSemanaBN
{
    /* Campos de la tabla */
    private $i_IdDiaSem;    // IdDiaSem: ( no definido )
    private $s_Prefijo;    // Prefijo: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $i_DiaNumero;    // DiaNumero: ( no definido )
    private $s_EsFeriadoFlag;    // EsFeriadoFlag: ( no definido )

    /* Establece el valor del campo IdDiaSem */
    public function setIdDiaSem( $i_IdDiaSem )
    {
        $this->i_IdDiaSem = $i_IdDiaSem;
    }

    /* Obtiene el valor del campo IdDiaSem */
    public function getIdDiaSem()
    {
        return $this->i_IdDiaSem;
    }

    /* Establece el valor del campo Prefijo */
    public function setPrefijo( $s_Prefijo )
    {
        $this->s_Prefijo = $s_Prefijo;
    }

    /* Obtiene el valor del campo Prefijo */
    public function getPrefijo()
    {
        return $this->s_Prefijo;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo DiaNumero */
    public function setDiaNumero( $i_DiaNumero )
    {
        $this->i_DiaNumero = $i_DiaNumero;
    }

    /* Obtiene el valor del campo DiaNumero */
    public function getDiaNumero()
    {
        return $this->i_DiaNumero;
    }

    /* Establece el valor del campo EsFeriadoFlag */
    public function setEsFeriadoFlag( $s_EsFeriadoFlag )
    {
        $this->s_EsFeriadoFlag = $s_EsFeriadoFlag;
    }

    /* Obtiene el valor del campo EsFeriadoFlag */
    public function getEsFeriadoFlag()
    {
        return $this->s_EsFeriadoFlag;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdDiaSem' => $this->getIdDiaSem(),
            'Prefijo' => $this->getPrefijo(),
            'Nombre' => $this->getNombre(),
            'DiaNumero' => $this->getDiaNumero(),
            'EsFeriadoFlag' => $this->getEsFeriadoFlag(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_DiaSemanaBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_DiaSemanaRs )
    {
        $o_MST_DiaSemanaBN = new MST_DiaSemanaBN();
        $o_MST_DiaSemanaBN->setIdDiaSem( ( integer ) $o_MST_DiaSemanaRs[ "IdDiaSem" ] );
        $o_MST_DiaSemanaBN->setPrefijo( $o_MST_DiaSemanaRs[ "Prefijo" ] );
        $o_MST_DiaSemanaBN->setNombre( $o_MST_DiaSemanaRs[ "Nombre" ] );
        $o_MST_DiaSemanaBN->setDiaNumero( ( integer ) $o_MST_DiaSemanaRs[ "DiaNumero" ] );
        $o_MST_DiaSemanaBN->setEsFeriadoFlag( $o_MST_DiaSemanaRs[ "EsFeriadoFlag" ] );
        return $o_MST_DiaSemanaBN;
    }
}
?>